Page MenuHomePhabricator

data_ingestion should use unicodecsv
Closed, ResolvedPublic

Description

data_ingestion currently uses 'csv', which isnt unicode safe. See wikistats.py for how to use unicodecsv


Version: core-(2.0)
Severity: major

Details

Reference
bz73624
Related Gerrit Patches:
pywikibot/core : masterNormalise data_ingestion script

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:55 AM
bzimport set Reference to bz73624.
bzimport added a subscriber: Unknown Object (????).
jayvdb created this task.Nov 19 2014, 11:13 PM
jayvdb moved this task from Backlog to Needs Review on the Pywikibot board.Nov 29 2014, 7:26 AM
gerritbot added a subscriber: gerritbot.

Change 185666 had a related patch set uploaded (by John Vandenberg):
Normalise data_ingestion script

https://gerrit.wikimedia.org/r/185666

Patch-For-Review

Change 185666 merged by jenkins-bot:
Normalise data_ingestion script

https://gerrit.wikimedia.org/r/185666

jayvdb closed this task as Resolved.Jan 20 2015, 9:07 PM
jayvdb claimed this task.